[pypy-dev] PyPy 0.99 is out: new object spaces, optimizations, configuration ...

holger krekel holger at merlinux.de
Sun Feb 18 10:07:37 CET 2007


Hi Christian! 

On Sat, Feb 17, 2007 at 19:00 -0800, Christian Tismer wrote:
> Samuele Pedroni wrote:
> ...
> 
> Well, this is all great and nice to read.
> What I'm missing in the announcement is any mention
> of our current supported version of CPython.
> 
> In the documentation, I also could nowhere find out that PyPy
> does not translate with Python 2.5.
>
> Maybe this should be put somewhere since it might be quite
> confusing to new users?

It's in the FAQ in the first "General" section, that PyPy aims
to support Python 2.4 and that that the translation 
process does not fully work with 2.5: 

    http://codespeak.net/pypy/dist/pypy/doc/faq.html

I also just added an according note in the "getting-started" in the 
"Trying out the translator" section, as it is the main entry
point apart from the release announcement which could
also have mentioned it, but generally refers to documentation 
for technical details. 

best, 

holger



More information about the Pypy-dev mailing list